/* ---------------------------------------
  common.js / 共通javascript記述用
  ver.1.4
  last modefied: 2017/05/22
--------------------------------------- */
"use strict";

//ナビ追従機能読込↓（そのまま）
//@prepros-append ./jquery.floatingmenu.js

//jQuery記述領域
jQuery(function(){

//スクロール追従呼び出し
$(".sidebar-fixed").floatingMenu();


//スマホ用ページトップ
var pageTop = jQuery(".pagetop");
pageTop.hide();
//スクロールが一定に達したらボタン表示
jQuery(window).scroll(function () {
	if ($(this).scrollTop() > 100) {
		pageTop.fadeIn("slow");
	} else {
		pageTop.fadeOut("slow");
	}
});

//Pagetopにスムーススクロール
jQuery(document).on('click', '.pagetop', function(){
	jQuery("html,body").animate({scrollTop: 0}, 'fast');
	return false;
});

jQuery(document).on('click', '.anchor', function(){
	var link = jQuery(this).attr("href");
	var parser = new URL(link);
	var target = parser.hash.substring(1);
	// 要素の位置を取得する
	var element = document.getElementById(target);
	var rect = element.getBoundingClientRect() ;
	console.log(rect);
	var positionY = rect.top + window.pageYOffset ; // 要素のY座標
	console.log(positionY);
	// 要素の位置にスクロールさせる
	//jQuery("html,body").animate({scrollTo: 0 , positionY}, 'slow');
	window.scrollTo( 0 , positionY );
	return false;
});

});

jQuery(function() {
  /* ランダムバナー機能 */
  var banners = $("#random-banner > li");
  if (!banners) {
    return;
  }
  var banner_array = [];

  banners.each(function() {
    banner_array.push($(this).html());
  });

  var n = banner_array.length;
  for (var i = n - 1; i > 0; i--) {
    var j = Math.floor(Math.random() * (i + 1));
    var tmp = banner_array[i];
    banner_array[i] = banner_array[j];
    banner_array[j] = tmp;
  }

  banners.each(function(i) {
    $(this).html(banner_array[i]);
    i++;
  });
});
